## com.arsdigita.cms.docmgr.search
Interface SearchResults

All Known Implementing Classes:
  IntermediaSearchResults, LuceneSearchResults

public interface SearchResults

Version:
  $Revision: #1 $ $Date: 2003/08/20 $
Author:
  hbrock@redhat.com

Method Summary
`Iterator` `getResults()` Returns an iterator over the desired range of Results, or all the Results if setRange has not been called.
`long` `getTotalSize()` Returns the number of search results
`void` `setRange(Integer first, Integer last)` Sets the indexes of the first and last results returned.

Method Detail

### getTotalSize

    public long getTotalSize()

  Returns the number of search results

### setRange

    public void setRange(Integer first,
                         Integer last)

  Sets the indexes of the first and last results returned. Result numbering begins with 0

  Parameters:
    `first` -
    `last` -

### getResults

    public Iterator getResults()

  Returns an iterator over the desired range of Results, or all the Results if setRange has not been called.

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC